--classicons
hooksecurefunc("UnitFramePortrait_Update",function(self)
	if self.portrait then
		if UnitIsPlayer(self.unit) then                         
			local t = CLASS_ICON_TCOORDS[select(2, UnitClass(self.unit))]
			if t then
				self.portrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
				self.portrait:SetTexCoord(unpack(t))
			end
		else
			self.portrait:SetTexCoord(0,1,0,1)
		end
	end
end)

--combat icon
local CF=CreateFrame("Frame")
CF:RegisterEvent("PLAYER_LOGIN")
CF:SetScript("OnEvent", function(self, event)

CTT=CreateFrame("Frame")
CTT:SetPoint("CENTER",TargetFramePortrait,0,0)
CTT:SetSize(20,20)
CTT.t=CTT:CreateTexture(nil,BORDER)
CTT.t:SetAllPoints()
CTT.t:SetTexture("Interface\\PvPRankBadges\\PvPRank06")
CTT.t:SetVertexColor(1,.02,.01)
CTT:Hide()

local function FrameOnUpdate(self) if UnitAffectingCombat("target") then self:Show() else self:Hide() end end
local g = CreateFrame("Frame")
g:SetScript("OnUpdate", function(self) FrameOnUpdate(CTT) end)

CFT=CreateFrame("Frame")
CFT:SetPoint("CENTER",FocusFramePortrait,0,0)
CFT:SetSize(20,20)
CFT.t=CFT:CreateTexture(nil,BORDER)
CFT.t:SetAllPoints()
CFT.t:SetTexture("Interface\\PvPRankBadges\\PvPRank06")
CFT.t:SetVertexColor(1,.02,.01)
CFT:Hide()

local function FrameOnUpdate(self) if UnitAffectingCombat("focus") then self:Show() else self:Hide() end end
local g = CreateFrame("Frame")
g:SetScript("OnUpdate", function(self) FrameOnUpdate(CFT) end)

end)

--scaling
PlayerFrame:SetScale(1.2);
TargetFrame:SetScale(1.2);
FocusFrame:SetScale(1.2);

--frames
hooksecurefunc("PlayerFrame_UpdateStatus",function(self)
	--hide stuff
	PlayerStatusTexture:Hide();
	PlayerStatusGlow:Hide();
	PlayerRestIcon:Hide()
	PlayerRestGlow:Hide();
	PlayerAttackIcon:Hide();
	PlayerAttackGlow:Hide();
	PlayerAttackBackground:Hide();
	PlayerName:Hide();
	PlayerHitIndicator:ClearAllPoints();
	PlayerFrameGroupIndicatorText:Hide();
	PlayerFrameGroupIndicatorLeft:Hide();
	PlayerFrameGroupIndicatorMiddle:Hide();
	PlayerFrameGroupIndicatorRight:Hide();
	-- edit combo point bar
	ComboPointPlayerFrame.ComboBonus1:SetAlpha(0);
	ComboPointPlayerFrame.ComboBonus2:SetAlpha(0);
	ComboPointPlayerFrame.ComboBonus3:SetAlpha(0);
	ComboPointPlayerFrame.ComboBonus4:SetAlpha(0);
	ComboPointPlayerFrame.ComboBonus5:SetAlpha(0);
	ComboPointPlayerFrame.Background:Hide();
	-- edit playerframe texture
	PlayerLevelText:SetAlpha(0);
	PlayerPVPIcon:SetAlpha(0);
	PlayerFrameTexture:SetTexture("Interface\\TargetingFrame\\UI-TargetingFrame-NoLevel")
	-- move frames
	PetFrame:ClearAllPoints();
	PetFrame:SetPoint("TOPLEFT", PlayerFrame,"TOPLEFT",0,50)
	ComboPointPlayerFrame:ClearAllPoints();
	ComboPointPlayerFrame:SetPoint("TOPLEFT",PlayerFrame,"BOTTOMRIGHT",-129,91)
	--move healthtext
	PlayerFrameHealthBarTextRight:SetPoint("TOPRIGHT", PlayerFrame, -7,-31);
	PlayerFrameHealthBarTextLeft:SetPoint("TOPLEFT", PlayerFrame, 108,-31);
	PlayerFrameHealthBarText:SetPoint("TOPLEFT", PlayerFrame, 108,-31);
	PlayerFrameManaBarText:SetPoint("TOPLEFT", PlayerFrame, 108,-54);
end)





	







